List companies
Returns a paginated list of companies. A "company" is the tenant organization account on Rippling, represented by its core identity (name, legal name/DBA, primary email, phone), and its legal-entity structure (holding entity + legal entities).
Required Scopes
- companies.read
Request
Query Parameters
Possible values: >= 1 and <= 100
Default value: 50
The maximum number of results to return. Defaults to 50. Maximum is 100.
Expanding objects
Include one or more of these fields in the expand parameter to return nested data.
Fields:parent_legal_entity, legal_entities
Sorting results
Include one or more of these fields in the sort parameter to control result order.
Fields:id, created_at, updated_at
Responses​
- 200
- application/json
- Schema
- Example (from schema)
Schema
__meta object
redacted_fields object[]
The name for the redacted field
The reason for the redaction
results object[]
Identifier field
Record creation date
Record update date
The company's ultimate holding entity.
parent_legal_entity object
Identifier field
Record creation date
Record update date
The tax identifier for the legal entity.
country object
The code of the country.
The legal name of the legal entity.
The legal entity's level in a hierarchy. * PARENT: The legal entity is considered the ultimate holding entity. * SUBSIDIARY: The legal entity is considered a subsidiary, fully or partially held by another. * BRANCH: The legal entity is considered a branch, associated with a parent legal entity.
The registration date of the entity.
mailing_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
physical_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
The parent legal entity.
parent object
The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). * PEO: The legal entity is considered a Professional Employment Organization (PEO). * EOR: The legal entity is considered an Employer of Record (EOR).
The company or organization associated with the legal entity
company object
A list of the company's entities.
legal_entities object[]required
Identifier field
Record creation date
Record update date
The tax identifier for the legal entity.
country object
The code of the country.
The legal name of the legal entity.
The legal entity's level in a hierarchy. * PARENT: The legal entity is considered the ultimate holding entity. * SUBSIDIARY: The legal entity is considered a subsidiary, fully or partially held by another. * BRANCH: The legal entity is considered a branch, associated with a parent legal entity.
The registration date of the entity.
mailing_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
physical_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
The parent legal entity.
parent object
The legal entity management type in the case of an employer of record (EOR) or professional employment organization (PEO). * PEO: The legal entity is considered a Professional Employment Organization (PEO). * EOR: The legal entity is considered an Employer of Record (EOR).
The company or organization associated with the legal entity
company object
physical_address object
The classification of the address.
The formatted mailing address.
The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..
The city or locality component.
The state or region component, pursuant to SCIM RFC 7643 4.1.2.
The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.
The country component, pursuant to SCIM RFC 7643 4.1.2.
The email address used when registering this company.
The legal name of the company.
The doing business as name for the company.
The phone number for the company.
The name of the company.
A link to the next page of responses.
{
"__meta": {
"redacted_fields": [
{
"name": "date_of_birth",
"reason": "Insufficient entitlements"
}
]
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"parent_legal_entity_id": "string",
"parent_legal_entity": {
"id": "string",
"created_at": "string",
"updated_at": "string",
"tax_identifier": "string",
"country": {
"code": "AF"
},
"legal_name": "string",
"entity_level": "PARENT",
"registration_date": "string",
"mailing_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"physical_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"parent_id": "string",
"parent": {},
"management_type": "PEO",
"company_id": "string",
"company": {}
},
"legal_entities_id": [
"string"
],
"legal_entities": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"tax_identifier": "string",
"country": {
"code": "AF"
},
"legal_name": "string",
"entity_level": "PARENT",
"registration_date": "string",
"mailing_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"physical_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"parent_id": "string",
"parent": {},
"management_type": "PEO",
"company_id": "string",
"company": {}
}
],
"physical_address": {
"type": "HOME",
"formatted": "string",
"street_address": "string",
"locality": "string",
"region": "string",
"postal_code": "string",
"country": "AF"
},
"primary_email": "string",
"legal_name": "string",
"doing_business_as_name": "string",
"phone": "string",
"name": "string"
}
],
"next_link": "string"
}